## net.sf.saxon
Class TemplatesHandlerImpl

    java.lang.Object
      net.sf.saxon.event.ReceivingContentHandler
          net.sf.saxon.TemplatesHandlerImpl

All Implemented Interfaces:
  TemplatesHandler, SourceLocator, LocationProvider, SaxonLocator, SourceLocationProvider, ContentHandler, DTDHandler, LexicalHandler, Locator

    public class TemplatesHandlerImpl

extends ReceivingContentHandler
implements TemplatesHandler

TemplatesHandlerImpl implements the javax.xml.transform.sax.TemplatesHandler interface. It acts as a ContentHandler which receives a stream of SAX events representing a stylesheet, and returns a Templates object that represents the compiled form of this stylesheet.

Author:
  Michael H. Kay

Method Summary
`String` `getSystemId()` Get the systemId of the document
`Templates` `getTemplates()` Get the Templates object to used for a transformation
`void` `setDocumentLocator(Locator locator)` Callback interface for SAX: not for application use
`void` `setSystemId(String url)` Set the SystemId of the document

Methods inherited from class net.sf.saxon.event.ReceivingContentHandler

`characters, comment, endCDATA, endDocument, endDTD, endElement, endEntity, endPrefixMapping, getColumnNumber, getConfiguration, getLineNumber, getLineNumber, getPipelineConfiguration, getPublicId, getSystemId, ignorableWhitespace, isIgnoringIgnorableWhitespace, notationDecl, processingInstruction, reset, setIgnoreIgnorableWhitespace, setPipelineConfiguration, setReceiver, skippedEntity, startCDATA, startDocument, startDTD, startElement, startEntity, startPrefixMapping, unparsedEntityDecl`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, skippedEntity, startDocument, startElement, startPrefixMapping`

Method Detail

### getTemplates

    public Templates getTemplates()

  Get the Templates object to used for a transformation

  Specified by:
    `getTemplates` in interface `TemplatesHandler`

### setSystemId

    public void setSystemId(String url)

  Set the SystemId of the document

  Specified by:
    `setSystemId` in interface `TemplatesHandler`

### setDocumentLocator

    public void setDocumentLocator(Locator locator)

  Callback interface for SAX: not for application use

  Specified by:
    `setDocumentLocator` in interface `ContentHandler`
  Overrides:
    `setDocumentLocator` in class `ReceivingContentHandler`

### getSystemId

    public String getSystemId()

  Get the systemId of the document

  Specified by:
    `getSystemId` in interface `TemplatesHandler`
  Specified by:
    `getSystemId` in interface `SourceLocator`
  Specified by:
    `getSystemId` in interface `Locator`
  Overrides:
    `getSystemId` in class `ReceivingContentHandler`
  Returns:
    A string containing the system identifier, or null if none is available.

Copyright (C) Michael H. Kay. All rights reserved.